ConfigurablePropertyAccessor (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.beans

## Interface ConfigurablePropertyAccessor

- All Superinterfaces:
    PropertyAccessor, PropertyEditorRegistry, TypeConverter
  All Known Subinterfaces:
    BeanWrapper
  All Known Implementing Classes:
    AbstractPropertyAccessor, BeanWrapperImpl, DirectFieldAccessor

      public interface ConfigurablePropertyAccessor
      extends PropertyAccessor, PropertyEditorRegistry, TypeConverter

  Interface that encapsulates configuration methods for a PropertyAccessor. Also extends the PropertyEditorRegistry interface, which defines methods for PropertyEditor management.

  Serves as base interface for `BeanWrapper`.

  Since:
    2.0
  Author:
    Juergen Hoeller
  See Also:
    `BeanWrapper`

- - ### Field Summary

    - ### Fields inherited from interface org.springframework.beans.PropertyAccessor

      `NESTED_PROPERTY_SEPARATOR, NESTED_PROPERTY_SEPARATOR_CHAR, PROPERTY_KEY_PREFIX, PROPERTY_KEY_PREFIX_CHAR, PROPERTY_KEY_SUFFIX, PROPERTY_KEY_SUFFIX_CHAR`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConversionService` | `getConversionService()` Return the associated ConversionService, if any.
    `boolean` | `isExtractOldValueForEditor()` Return whether to extract the old property value when applying a property editor to a new value for a property.
    `void` | `setConversionService(ConversionService conversionService)` Specify a Spring 3.0 ConversionService to use for converting property values, as an alternative to JavaBeans PropertyEditors.
    `void` | `setExtractOldValueForEditor(boolean extractOldValueForEditor)` Set whether to extract the old property value when applying a property editor to a new value for a property.

    - ### Methods inherited from interface org.springframework.beans.PropertyAccessor

      `getPropertyType, getPropertyTypeDescriptor, getPropertyValue, isReadableProperty, isWritableProperty, setPropertyValue, setPropertyValue, setPropertyValues, setPropertyValues, setPropertyValues, setPropertyValues`

    - ### Methods inherited from interface org.springframework.beans.PropertyEditorRegistry

      `findCustomEditor, registerCustomEditor, registerCustomEditor`

    - ### Methods inherited from interface org.springframework.beans.TypeConverter

      `convertIfNecessary, convertIfNecessary, convertIfNecessary`

- - ### Method Detail

    - #### setConversionService

          void setConversionService(ConversionService conversionService)

      Specify a Spring 3.0 ConversionService to use for converting property values, as an alternative to JavaBeans PropertyEditors.

    - #### getConversionService

          ConversionService getConversionService()

      Return the associated ConversionService, if any.

    - #### setExtractOldValueForEditor

          void setExtractOldValueForEditor(boolean extractOldValueForEditor)

      Set whether to extract the old property value when applying a property editor to a new value for a property.

    - #### isExtractOldValueForEditor

          boolean isExtractOldValueForEditor()

      Return whether to extract the old property value when applying a property editor to a new value for a property.